function [mu,sd,COV,xc]=decovm(XCN)
% [mu,sd,XC,xc]=decovm(ECM)
% decompose extended covariance matrix into 
% mean (mu), standard deviation, the (pure) Covariance (COV) 
% and the correlation matrix.

%	Version 0.10
%	20.08.1998
%	Copyright (c) by  Alois Schloegl
%	a.schloegl@ieee.org	
          
N=size(XCN,2);
mu=XCN(2:N,1)/XCN(1);
COV=(XCN(2:N,2:N)/XCN(1,1)-XCN(2:N,1)*XCN(1,2:N)/XCN(1,1)^2);
sd=sqrt(diag(COV));
xc=COV./(sd*sd');
